<?php

	/**
	 *	All functions, actions and filters to customize the picture for Thumbnails
	 */

	// article picture
	function cronus_article_picture( $picture, $post, $cols, $media )
	{
		global $tempo_layout;

		$thumbnail = get_post( get_post_thumbnail_id( $post ) );

		$media = array(
			// 0, width: 1140px
			array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-full' ),
	            'type'  => ''
	        ),

			// 1, width: 991px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-classic' ),
	            'type'  => ''
	        ),

			// 2, width: 785px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-tablet' ),
	            'type'  => ''
	        ),

			// 3, width: 555px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-grid' ),
	            'type'  => ''
	        ),

			// 4, width: 480px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-480' ),
	            'type'  => ''
	        ),

			// 5, width: 360px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-small' ),
	            'type'  => ''
	        )
	    );

	    if( function_exists( 'getimagesize' ) ){
	        if( ( $image = getimagesize( $media[ 0 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 0 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

	        if( ( $image = getimagesize( $media[ 1 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 1 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

	        if( ( $image = getimagesize( $media[ 2 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 2 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

	        if( ( $image = getimagesize( $media[ 3 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 3 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

	        if( ( $image = getimagesize( $media[ 4 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 4 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 5 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 5 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';
	    }

		if( $cols == 1 ){

			if( $tempo_layout -> layout !== 'full' ){
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"	' . $media[ 1 ][ 'type' ] . ' srcset="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 992px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
			    $picture .= '<source media="(min-width: 768px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 521px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 421px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

			    $picture .= '<img src="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
			    $picture .= '</picture>';
			}

			else{
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"    ' . $media[ 0 ][ 'type' ] . ' srcset="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 992px)"    	' . $media[ 1 ][ 'type' ] . ' srcset="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 521px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 481px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

			    $picture .= '<img src="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
			    $picture .= '</picture>';
			}
		}

		// 2 columns
		else if( $cols == 2 ){

			// content with sidebar
			if( $tempo_layout -> layout !== 'full' ){
				$picture  = '<picture>';
		        $picture .= '<source media="(min-width: 1200px)"	' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 992px)"		' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 521px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 481px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

		        $picture .= '<img src="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
		        $picture .= '</picture>';
			}

			// full width content
			else{
				$picture  = '<picture>';
		        $picture .= '<source media="(min-width: 1200px)"	' . $media[ 3 ][ 'type' ] . ' srcset="' . esc_url( $media[ 3 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 992px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 768px)"		' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 521px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 481px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

		        $picture .= '<img src="' . esc_url( $media[ 3 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
		        $picture .= '</picture>';
			}
		}

		// 3 columns
		else{

			// content with sidebar
			if( $tempo_layout -> layout !== 'full' ){

				$picture  = '<picture>';
		        $picture .= '<source media="(min-width: 768px)"		' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 521px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 481px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

		        $picture .= '<img src="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
		        $picture .= '</picture>';
			}

			// full width content
			else{
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"   ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 992px)"    ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
			    $picture .= '<source media="(min-width: 768px)"    ' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
			    $picture .= '<source media="(min-width: 521px)"    ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
			    $picture .= '<source media="(min-width: 1px)"      ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

			    $picture .= '<img src="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
			    $picture .= '</picture>';
			}
		}

		return $picture;
	}

	add_filter( 'tempo_article_picture', 'cronus_article_picture', 10, 4 );


	// single post or page picture
	function cronus_single_picture( $picture, $post, $media )
	{
		global $tempo_layout;

		$thumbnail = get_post( get_post_thumbnail_id( $post ) );

		$media = array(
			// 0, width: 1140px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-full' ),
				'type'  => ''
			),

			// 1, width: 991px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-classic' ),
				'type'  => ''
			),

			// 2, width: 785px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-tablet' ),
				'type'  => ''
			),

			// 3, width: 555px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-grid' ),
				'type'  => ''
			),

			// 4, width: 480px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-480' ),
				'type'  => ''
			),

			// 5, width: 360px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-small' ),
				'type'  => ''
			)
		);

		if( function_exists( 'getimagesize' ) ){
			if( ( $image = getimagesize( $media[ 0 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 0 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 1 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 1 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 2 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 2 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 3 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 3 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 4 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 4 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 5 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 5 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';
		}

		if( $tempo_layout -> layout !== 'full' ){
			$picture  = '<picture>';
			$picture .= '<source media="(min-width: 1200px)"   ' . $media[ 1 ][ 'type' ] . ' srcset="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 992px)"    ' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
		    $picture .= '<source media="(min-width: 768px)"    ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		    $picture .= '<source media="(min-width: 521px)"    ' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 421px)"    ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
		    $picture .= '<source media="(min-width: 1px)"      ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

		    $picture .= '<img src="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
		    $picture .= '</picture>';
		}

		else{
			$picture  = '<picture>';
			$picture .= '<source media="(min-width: 1200px)"    ' . $media[ 0 ][ 'type' ] . ' srcset="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 992px)"    	' . $media[ 1 ][ 'type' ] . ' srcset="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 521px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 421px)"		' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 1px)"    	' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

			$picture .= '<img src="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '">';
			$picture .= '</picture>';
		}

		return $picture;
	}

	add_filter( 'tempo_single_picture', 'cronus_single_picture', 10, 3 );

	// single post or page picture
	function cronus_portfolio_picture( $picture, $post, $cols, $media )
	{
		global $tempo_layout;

		$thumbnail = get_post( get_post_thumbnail_id( $post ) );

		$media = array(
			// 0, width: 785px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-portfolio-tablet' ),
	            'type'  => ''
	        ),

			// 1, width: 555px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-portfolio' ),
	            'type'  => ''
	        ),

			// 2, width: 480px
	        array(
	            'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-portfolio-480' ),
	            'type'  => ''
	        ),
	    );

	    if( function_exists( 'getimagesize' ) ){
	        if( ( $image = getimagesize( $media[ 0 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 0 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

	        if( ( $image = getimagesize( $media[ 1 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 1 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

	        if( ( $image = getimagesize( $media[ 2 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
	            $media[ 2 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';
	    }

		// 2 columns
		if( $cols == 2 ){

			// content with sidebar
			if( $tempo_layout -> layout !== 'full' ){
				$picture  = '<picture>';
		        $picture .= '<source media="(min-width: 992px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 521px)"		' . $media[ 0 ][ 'type' ] . ' srcset="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';

		        $picture .= '<img src="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '" class="effect-scale">';
		        $picture .= '</picture>';
			}

			// full width content
			else{
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"	' . $media[ 1 ][ 'type' ] . ' srcset="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 768px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 521px)"		' . $media[ 0 ][ 'type' ] . ' srcset="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';

		        $picture .= '<img src="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '" class="effect-scale">';
		        $picture .= '</picture>';
			}
		}

		// 3 columns
		else{

			// content with sidebar
			if( $tempo_layout -> layout !== 'full' ){

				$picture  = '<picture>';
		        $picture .= '<source media="(min-width: 768px)"		' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 521px)"		' . $media[ 0 ][ 'type' ] . ' srcset="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '">';
		        $picture .= '<source media="(min-width: 1px)"    	' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';

		        $picture .= '<img src="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '" class="effect-scale">';
		        $picture .= '</picture>';
			}

			// full width content
			else{
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 992px)"    ' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
			    $picture .= '<source media="(min-width: 768px)"    ' . $media[ 0 ][ 'type' ] . ' srcset="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '">';
			    $picture .= '<source media="(min-width: 1px)"      ' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';

			    $picture .= '<img src="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $post ) ) . '" class="effect-scale">';
			    $picture .= '</picture>';
			}
		}

		return $picture;
	}

	add_filter( 'tempo_portfolio_picture', 'cronus_portfolio_picture', 10, 4 );

	// gallery picture
	function cronus_gallery_picture( $picture, $thumbnail, $cols, $media )
	{
		global $tempo_layout;

		$media = array(
			// 0, default width: 1140px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-full' ),
				'type'  => ''
			),

			// 1, default width: 991px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-classic' ),
				'type'  => ''
			),

			// 2, default width: 785px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-tablet' ),
				'type'  => ''
			),

			// 3, default width: 555px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-grid' ),
				'type'  => ''
			),

			// 4, default width: 480px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-480' ),
				'type'  => ''
			),

			// 5, default width: 315px
			array(
				'image' => wp_get_attachment_image_src( $thumbnail -> ID , 'tempo-small' ),
				'type'  => ''
			),
		);

		if( function_exists( 'getimagesize' ) ){
			if( ( $image = getimagesize( $media[ 0 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 0 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 1 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 1 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 2 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 2 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 3 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 3 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 4 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 4 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';

			if( ( $image = getimagesize( $media[ 5 ][ 'image' ][ 0 ] ) ) && isset( $image[ 'mime' ] ) )
				$media[ 5 ][ 'type' ] = 'type="' . esc_attr( $image[ 'mime' ] ) . '"';
		}

		if( $cols == 1 ){

			if( $tempo_layout -> layout !== 'full' ){
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"   ' . $media[ 1 ][ 'type' ] . ' srcset="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 992px)"    ' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 316px)"    ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 1px)"      ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

				$picture .= '<img src="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $thumbnail ) ) . '"/>';
				$picture .= '</picture>';
			}

			else{
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"   ' . $media[ 0 ][ 'type' ] . ' srcset="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 992px)"    ' . $media[ 1 ][ 'type' ] . ' srcset="' . esc_url( $media[ 1 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 521px)"    ' . $media[ 2 ][ 'type' ] . ' srcset="' . esc_url( $media[ 2 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 316px)"    ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 1px)"      ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

				$picture .= '<img src="' . esc_url( $media[ 0 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $thumbnail ) ) . '"/>';
				$picture .= '</picture>';
			}
		}

		else if( $cols == 2 ){
			if( $tempo_layout -> layout !== 'full' ){
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"  ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 481px)"   ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 316px)"   ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 1px)"     ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

				$picture .= '<img src="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $thumbnail ) ) . '"/>';
				$picture .= '</picture>';
			}

			else{
				$picture  = '<picture>';
				$picture .= '<source media="(min-width: 1200px)"  ' . $media[ 3 ][ 'type' ] . ' srcset="' . esc_url( $media[ 3 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 992px)"   ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 481px)"   ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 316px)"   ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
				$picture .= '<source media="(min-width: 1px)"     ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

				$picture .= '<img src="' . esc_url( $media[ 3 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $thumbnail ) ) . '"/>';
				$picture .= '</picture>';
			}
		}

		else {
			$picture  = '<picture>';
			$picture .= '<source media="(min-width: 481px)"   ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 316px)"   ' . $media[ 4 ][ 'type' ] . ' srcset="' . esc_url( $media[ 4 ][ 'image' ][ 0 ] ) . '">';
			$picture .= '<source media="(min-width: 1px)"     ' . $media[ 5 ][ 'type' ] . ' srcset="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '">';

			$picture .= '<img src="' . esc_url( $media[ 5 ][ 'image' ][ 0 ] ) . '" alt="' . esc_attr( get_the_title( $thumbnail ) ) . '"/>';
			$picture .= '</picture>';
		}

		return $picture;
	}

	add_filter( 'tempo_gallery_picture', 'cronus_gallery_picture', 10, 4 );
?>
